function clid = findcluster (c, cluster)

%FINDCLUSTER(COBJ,CLUSTER)  returns the index of the spike CLUSTER in COBJ
%                           or an error if COBJ does not contain CLUSTER.
%                           For internal use only.
%Last modified: 14 Feb 06

errifnotscalar (cluster, 'CLUSTER');
clid = find (c.cluster_bank==cluster);
if isempty (clid)
   error (['spike cluster #' num2str(cluster) ' does not exist in the object']);
end
