function errifnotsinglekey (k)
%ERRIFNOTSINGLEKEY(K)  stops execution with an error if k is not a
%                      single key from a @key object
%
%Last modified: 28 Oct 04

if isa (k, 'rules')
   warning ('@rules are no longer supported; please use @keys instead');
end

if ~(isa (k, 'key') | isa(k, 'rules')) | sum(k.size)>1
   error ('argument should be a single key from a @key object');
end