function [sset, ignored] = getintrange (source, mask)

%GETINTRANGE   returns elements from a vector
%
%Modified 4 Jun 03

% 26 Apr 03, by Giuseppe Bertini
%  4 Jun 03: 'ignored' argout added and more

if isnumscalar (source)
   source = 1:source;
elseif ~isnumvector (source)
   error ('bad argument');
end
   
switch class(mask)
   case 'char'
      switch mask
         case 'all'
            sset = source;
         case 'first'
            sset = 1;
         case 'last'
            sset = source(end);
         case 'none'
            sset = [];
         otherwise
            error ('invalid label');
      end
   case 'double'
      if ~isnumvector(mask), error ('range must be a 1-D vector'); end
      ignored = setdiff (mask, source);
      sset = intersect (source, mask);
   otherwise
      error('bad parameter');
end