function errifnotspikematrix (s)
%ERRIFNOTSPIKEMATRIX(SPMAT)  stops execution with an error if SPMAT is
%                            not a spike matrix, i.e., a numeric 2-D
%                            matrix 
%
%Last modified: 27 Oct 04

if ndims (s) ~= 2 | ~isnumeric (s)
   error ('argument SPMAT should be a spike matrix, i.e., a 2-D numeric matrix')
end