function retval = checkmenu (handle)

%CHECKMENU  changes check state to a menu entry
%           returns new state

if ~strcmp (get (handle, 'type'), 'uimenu')
	error ('handle to uimenu object required');
end
che = get (handle, 'checked');
if strcmp (che, 'on')
	set (handle, 'checked', 'off')
	retval = false;
else
	set (handle, 'checked', 'on');
	retval = true;
end