function f = openfile (filename, mode)

% openfile.m
%
% like fopen, but it aborts execution on failure
%
% Last modified: 1 Aug 03

%  1 Aug 03: 'little-endian byte ordering' machineformat
%             argument added for MacOSX use

f = fopen (filename, mode, 'l');
if f == -1
    b='#####################################';
    erm = sprintf ([...
        '%s\nCannot open file: %s;\n'...
        'check path/filename;\n'...
        'make sure file is not already open.\n%s'], ...
        b, filename, b);
    error(erm);
end 