function [retval, diffbytes] = compfiles (first, second)

% Last modified: 17 Jan 00

fid1 = fopen (first,  'r');
a = fread (fid1);
fclose (fid1);

fid2 = fopen (second, 'r');
b = fread (fid2);
fclose (fid2);

if length (a) ~= length (b)
   retval = 'different size';
   return
end

c = [a==b];

if all (c),
   retval = 'the same';
else
   retval = sprintf ('%d matching bytes out of %d', sum(c), length(c));
   diffbytes = c;
end

%fseek (fid1, 0, 'eof');
%fseek (fid2, 0, 'eof');

%lof1 = ftell (fid1);
%lof2 = ftell (fid2);

%if lof1 ~= lof2,
%   retval = 'different size';
%   return
%end

%frewind (fid1);
%frewind (fid2);

