function retval = isnumvector (s)

%ISNUMVECTOR   True for numeric vectors
%   ISNUMVECTOR(S) returns true when ISNUMERIC(S) and S has no more
%   than one non-singleton dimension
%
%Last modified: 27 Oct 04

%since 22 Sep 04:
%27 Oct 04: help text fix

retval = isnumeric(s) & prod(size(s))==length(s);